set package_url [ad_conn package_url]

set manage_type [ad_get_client_property -default content [ad_conn package_id] manage_type]
if {[string equal $manage_type "template"]} {
    #if we are on template manage_type then we need to use the template folder not the page folder
    set root_id [parameter::get -parameter template_folder_id] 
} else {
    set root_id [bcms::folder::get_bcms_root_folder]
}

if {![info exists context_url]} {
    set context_url $package_url
}
set root_url [ad_conn package_url]
regexp "${root_url}(\[^ ?\]*)" $context_url match_p context_url

# check the permission if user has permission for the package
if {![permission::permission_p -object_id [ad_conn package_id] -privilege admin]} {
    ad_return_forbidden "Serurity Violation" "You don't have permission to administer. This incident has been logged."
    ad_script_abort
}

array set current_item [bcms::item::get_item_by_url -root_id $root_id -url "/$context_url"]

set context [bcms::widget::item_context -item_id $current_item(item_id) -root_id $root_id]
lappend context "$title"

ad_return_template "/templates/bcms-ui-base/master"
