ad_page_contract {
    delete templates
} {
    template_id:notnull,naturalnum,multiple
    {confirm_p:optional,boolean 0}
    return_url:notnull
}


if {$confirm_p} {

    db_transaction {
        foreach one_item $template_id {
            bcms::template::delete_template -template_id $one_item
        }
    }
    ad_returnredirect $return_url
    ad_script_abort

} else {

    template::list::create \
        -name delete_list \
        -multirow delete_list \
        -key template_id \
        -elements [subst {
            title {
                label "Item"
            }
        }]

    set template_ids [join $template_id ", "]
    db_multirow delete_list get_to_be_deleted "
                        select  i.item_id as template_id, 
                                i.name, 
                                i.live_revision, 
                                i.latest_revision, 
                                i.publish_status, 
                                i.content_type, 
                                i.storage_type,
                                i.tree_sortkey,
                                r.title
                        from cr_items i, cr_revisions r
                        where
                                i.item_id in ($template_ids)
                                and r.revision_id = i.latest_revision"

    set confirm_link [bcms::ui::base::delete_template_url -templates_to_delete $template_id -return_url $return_url]

    set title "Delete"

}
